Subject: [Fwd: Re: 23.0.60; uid problems on w32]

From: Jason Rumney <[email-masked]>
Date: Fri, 11 Apr 2008 21:54:07 +0100

Subject: Re: 23.0.60; uid problems on w32
From: Jason Rumney <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 31 Mar 2008 15:28:15 +0100

Eli Zaretskii wrote:
>> Eli Zaretskii wrote:
>>     
>>> Actually, one (in `struct passwd') is `signed int', the other (in
>>> `struct stat') is `signed short'.  Darn that MS-supplied stat.h!
>>>       
>
> OK, I will add this to my todo.  Thanks.
>   

I have just checked in a hack to Ffile_attributes that casts the uid in 
the stat structure to unsigned short on windows to make it consistent 
with getuid.
You'll need to remove this hack if/when you make the above more 
comprehensive change. I think the current %= 60001 in several places in 
w32.c where uid and gid are initialised will be able to be removed once 
you have made this change too.